main.file_contents failure due to missing INFO_SRC in source tarball

Bug #1005787 reported by David Smid on 2012-05-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server
Status tracked in 5.6
5.1
Undecided
Unassigned
5.5
Low
Stewart Smith
5.6
Low
Stewart Smith

Bug Description

Compiling from source on Scientific Linux 6.2 with these settings

tar -zxf Percona-Server-5-1.5.23-rel25.3.tar.gz

rm -rf debug release tmp
mkdir -p rpm/{BUILD,RPMS,SOURCES,SPECS,SRPMS} tmp
# Build debug binaries
mkdir debug
(
  cd debug
  cmake ../Percona-Server-5.5.23-rel25.3 -DBUILD_CONFIG=mysql_release -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX:PATH=/opt/percona-5.5.23 -DINSTALL_LAYOUT:STRING=STANDALONE -DMYSQL_DATADIR:PATH=/home/mysql/percona-5.5/data -DWITH_READLINE:BOOL=ON -DEXTRA_CHARSETS:STRING=all -DWITH_EMBEDDED_SERVER=OFF

  make VERBOSE=1
  make test
)
(
cp tests-ignored.txt debug/mysql-test/
cp tests-ignored.txt Percona-Server-5.5.23-rel25.3/mysql-test/
cd debug/mysql-test/
./mysql-test-run.pl --skip-test-list=tests-ignored.txt

And the tests fail (and the error code does not tell what file broke the build)

[19:13:12]: [Step 1/3] main.events_scheduling [ pass ] 6179
[19:13:13]: [Step 1/3] main.execution_constants [ pass ] 251
[19:13:13]: [Step 1/3] main.explain [ pass ] 529
[19:13:14]: [Step 1/3] main.file_contents [ fail ]
[19:13:14]: [Step 1/3] Test ended at 2012-05-25 19:13:14
[19:13:14]: [Step 1/3] CURRENT_TEST: main.file_contents
[19:13:14]: [Step 1/3] --- /home/blue-01/buildAgent/work/690e7e30210d5d15/Percona-Server-5.5.23-rel25.3/mysql-test/r/file_contents.result 2012-04-25 00:56:36.000000000 +0300
[19:13:14]: [Step 1/3] +++ /home/blue-01/buildAgent/work/690e7e30210d5d15/Percona-Server-5.5.23-rel25.3/mysql-test/r/file_contents.reject 2012-05-25 20:13:13.922701058 +0300
[19:13:14]: [Step 1/3] @@ -1,6 +1,6 @@
[19:13:14]: [Step 1/3]
[19:13:14]: [Step 1/3] Checking 'INFO_SRC' and 'INFO_BIN'
[19:13:14]: [Step 1/3] -INFO_SRC: Found MySQL version number / Found BZR revision id
[19:13:14]: [Step 1/3] +INFO_SRC: Found MySQL version number / No line 'revision-id: .....'
[19:13:14]: [Step 1/3] INFO_BIN: Found 'Compiler ... used' line / Found 'Feature flags' line
[19:13:14]: [Step 1/3]
[19:13:14]: [Step 1/3] End of tests
[19:13:14]: [Step 1/3] mysqltest: Result length mismatch
[19:13:14]: [Step 1/3] - saving '/home/blue-01/buildAgent/work/690e7e30210d5d15/debug/mysql-test/var/log/main.file_contents/' to '/home/blue-01/buildAgent/work/690e7e30210d5d15/debug/mysql-test/var/log/main.file_contents/'
[19:13:14]: [Step 1/3] Only 1331 of 2384 completed.
[19:13:14]: [Step 1/3] mysql-test-run: *** ERROR: Not all tests completed
[19:13:14]: [Step 1/3] Process exited with code 1
[19:13:14]: [Step 1/3] Step Compile source code (Command Line) failed

Tags: pkg Edit Tag help

Related branches

On Tue, 29 May 2012 07:27:18 -0000, David Smid <email address hidden> wrote:
> [19:13:14]: [Step 1/3] main.file_contents [
> fail ]

Can you please retry with current trunk? I *think* we had a problem like
this at some point in the past but it is since fixed....

It also may be due to source tree layout, the file_contents test is a
bit strange... does building from the bzr tree work and pass tests?

--
Stewart Smith

Stewart Smith (stewart) on 2012-06-14
Changed in percona-server:
importance: Undecided → High
Download full text (28.4 KiB)

Tested with PS 5.5.27-28.1 tar.gz.

./mysql-test-run.pl --vardir=$HOME/mysql --suite=main,binlog,innodb
Logging: /tmp/Percona-Server-5.5.27-rel28.1/mysql-test/mysql-test-run.pl --vardir=/home/raghu/mysql --suite=main,binlog,innodb
120919 6:08:05 [Note] Flashcache bypass: disabled
120919 6:08:05 [Note] Flashcache setup error is : open flash device failed

120919 6:08:05 [Note] Plugin 'FEDERATED' is disabled.
MySQL Version 5.5.27
Checking supported features...
 - skipping ndbcluster
 - SSL connections supported
 - binaries are debug compiled
Using suites: main,binlog,innodb
Collecting tests...
 - adding combinations for binlog
vardir: /home/raghu/mysql
Checking leftover processes...
Removing old var directory...
Creating var directory '/home/raghu/mysql'...
Installing system database...
Using server port 57166

==============================================================================

TEST RESULT TIME (ms) or COMMENT
--------------------------------------------------------------------------

worker[1] Using MTR_BUILD_THREAD 300, with reserved ports 13000..13009
binlog.binlog_multi_engine [ skipped ] No ndbcluster tests(--skip-ndbcluster)
main.alter_table-big [ skipped ] Test needs 'big-test' option
main.count_distinct3 [ skipped ] Test needs 'big-test' option
main.create-big [ skipped ] Test needs 'big-test' option
main.events_stress [ skipped ] Test needs 'big-test' option
main.events_time_zone [ skipped ] Test needs 'big-test' option
main.information_schema-big [ skipped ] Test needs 'big-test' option
main.merge-big [ skipped ] Test needs 'big-test' option
main.mysqlbinlog_row_big [ skipped ] Test needs 'big-test' option
main.ssl-big [ skipped ] Test needs 'big-test' option
main.type_newdecimal-big [ skipped ] Test needs 'big-test' option
main.variables-big [ skipped ] Test needs 'big-test' option
main.archive-big [ disabled ] Bug#11817185 2011-03-10 Anitha Disabled since this leads to timeout on Solaris Sparc
main.log_tables-big [ disabled ] Bug#11756699 2010-11-15 mattiasj report already exists
main.lowercase_table3 [ disabled ] Bug#11762269 2010-06-30 alik main.lowercase_table3 on Mac OSX
main.mysql_embedded [ disabled ] Bug#12561297 2011-05-14 Anitha Dependent on PB2 changes - eventum#41836
main.read_many_rows_innodb [ disabled ] Bug#11748886 2010-11-15 mattiasj report already exists
main.sum_distinct-big [ disabled ] Bug#11764126 2010-11-15 mattiasj was not tested
binlog.binlog_spurious_ddl_errors [ disabled ] BUG#11761680 2010-06-03 alik binlog_spurious_ddl_errors.test fails, thus disabled
binlog.binlog_truncate_innodb [ disabled ] BUG#11764459 2010-10-20 anitha Originally disabled due to BUG#42643. Product bug fixed, but test changes needed
main.percona_log_slow_admin_statements-config [ pass ] ...

Raghu -

Can you add --force --max-test-fail=0 parameters to mysql-test-run invocation and report any other failures to other bugs? Let's keep this one for the file_contents failure.

The main.file_contents failure looks like a packaging issue: INFO_SRC is missing from the Percona Server source tarball.

summary: - Percona 5.5.23 does not pass tests in debug build
+ main.file_contents failure due to missing INFO_SRC in source tarball
David Smid (datasmid) wrote :

Still a problem in 5.5.27-rel29.0

[14:02:17]: main.events_scheduling [ pass ] 6114
[14:02:18]: main.execution_constants [ pass ] 450
[14:02:19]: main.explain [ pass ] 301
[14:02:19]: main.file_contents [ fail ]
[14:02:19]: Test ended at 2012-10-16 14:02:19
[14:02:19]: CURRENT_TEST: main.file_contents
[14:02:19]: --- /home/brown-02_q_nl_eng_tc_blue01/buildAgent/work/f56cead8f56ffa2/Percona-Server-5.5.27-rel29.0/mysql-test/r/file_contents.result 2012-10-11 21:00:57.000000000 +0300
[14:02:19]: +++ /home/brown-02_q_nl_eng_tc_blue01/buildAgent/work/f56cead8f56ffa2/Percona-Server-5.5.27-rel29.0/mysql-test/r/file_contents.reject 2012-10-16 15:02:19.626251348 +0300
[14:02:19]: @@ -1,6 +1,6 @@
[14:02:19]:
[14:02:19]: Checking 'INFO_SRC' and 'INFO_BIN'
[14:02:19]: -INFO_SRC: Found MySQL version number / Found BZR revision id
[14:02:19]: +INFO_SRC: Found MySQL version number / No line 'revision-id: .....'
[14:02:19]: INFO_BIN: Found 'Compiler ... used' line / Found 'Feature flags' line
[14:02:19]:
[14:02:19]: End of tests
[14:02:19]: mysqltest: Result length mismatch
[14:02:19]: - saving '/home/brown-02_q_nl_eng_tc_blue01/buildAgent/work/f56cead8f56ffa2/debug/mysql-test/var/log/main.file_contents/' to '/home/brown-02_q_nl_eng_tc_blue01/buildAgent/work/f56cead8f56ffa2/debug/mysql-test/var/log/main.file_contents/'
[14:02:19]: Only 1350 of 2429 completed.
[14:02:19]: mysql-test-run: *** ERROR: Not all tests completed

Changed in percona-server:
importance: High → Low
Stewart Smith (stewart) on 2013-11-13
Changed in percona-server:
assignee: Ignacio Nin (ignacio-nin) → nobody
tags: added: pkg
Stewart Smith (stewart) wrote :

This should be fixed in the tree re-org to make Percona Server look more like a branch of MySQL and very much fix how source tarballs are generated.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers